%%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a 
cls
@echo off
%1 start "" mshta vbscript:CreateObject("Shell.Application").ShellExecute("cmd.exe","/c %~s0 ::","","runas",1)(window.close)&&exit
CD /D "%~dp0"
echo 是否执行IP更新？IP更新从云端更新IP配置以解决封锁问题！如果连不上，请更新IP.
echo 按3跳过，按1选择ip更新，如果更新后都用不了，请发邮件到 banned.ebook@gmail.com 进行反馈！
choice /C 123 /T 15 /D 3 /M "1、ip1更新 2、ip2更新 3、跳过"
if errorlevel 3 goto startfq
if errorlevel 2 goto ip2
if errorlevel 1 goto ip1

:ip2
start /wait "" "%~dp0v2go\ip_Update\ip_2.bat"
goto startfq

:ip1
start /wait "" "%~dp0v2go\ip_Update\ip_1.bat"
goto startfq

:startfq
start "" "%~dp0v2go\xray.exe"  -config v2go\v2free.json
echo 等待翻墙软件启动，请稍候...
IF EXIST %~dp0Browser\msedge.exe (
    start %~dp0Browser\msedge.exe --user-data-dir=%~dp0chrome-user-data --proxy-server="socks5://127.0.0.1:20808"  https://www.bannedbook.org/bnews/fq/?utm_source=v2free-EdgeGo
) ELSE (
	%SystemRoot%\System32\reg.exe query "HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\msedge.exe" >nul 2>&1
	IF  not errorlevel 1 (
    start msedge.exe --user-data-dir=%~dp0chrome-user-data  --proxy-server="socks5://127.0.0.1:20808"   https://www.bannedbook.org/bnews/fq/?utm_source=v2free-EdgeGo
	) else (
		echo Chrome浏览器不存在或没有正确安装，请尝试重新安装Chrome浏览器
		echo 或者采用以下办法：
		echo 右键点桌面的Microsoft Edge图标，再点属性，找到msedge.exe文件的路径，然后打开那个目录，把msedge.exe 连同那个目录下的所有子文件夹和文件，一起拷贝到EdgeGo文件夹下的Browser目录里面，然后重新启动EdgeGo的翻墙脚本。
	)
)